import Vue from "vue";

export default Vue.extend({
  data() {
    return {
      value: "",
      focusedTab: "1",
      pages: {
        total: 0,
      },
      selectedOption: "1",
    };
  },
  computed: {
    tabList() {
      return [
        {
          name: this.$t("lang.trade.txRecord"),
          value: "1",
        },
        {
          name: this.$t("lang.address.votingRecord"),
          value: "2",
        },
        {
          name: this.$t("lang.address.packingRecord"),
          value: "3",
        },
      ];
    },
    optionList() {
      return [
        { name: this.$t("lang.trade.txRecord"), value: "1" },
        { name: this.$t("lang.trade.consensusNode"), value: "2" },
      ];
    },
  },
  methods: {
    setValue(v: string) {
      this.value = v;
    },
    groupCellName(val: any) {
      switch (val.row.tradeG) {
        case 0:
          return "";
        case 1:
          return "tx-middle";
        case 2:
          return "tx-start";
        case 3:
          return "tx-end";
        default:
          return "";
      }
    },
  },
});
